<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::text_box_style_default Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1text__box__style__default.html">text_box_style_default</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1text__box__style__default-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::text_box_style_default Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::text_box_style_default:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1text__box__style__default.png" usemap="#dlib::text_5Fbox_5Fstyle_5Fdefault_map" alt=""/>
  <map id="dlib::text_5Fbox_5Fstyle_5Fdefault_map" name="dlib::text_5Fbox_5Fstyle_5Fdefault_map">
<area href="classdlib_1_1text__box__style.html" alt="dlib::text_box_style" shape="rect" coords="0,0,162,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:accfa440564424f4b76f814709f8b75ee"><td class="memItemLeft" align="right" valign="top"><a id="accfa440564424f4b76f814709f8b75ee"></a>
<a class="el" href="classdlib_1_1scrollable__region__style__default.html">scrollable_region_style_default</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_scrollable_region_style</b> () const</td></tr>
<tr class="separator:accfa440564424f4b76f814709f8b75ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd89650be2ac0d19d7e7849f447276b2"><td class="memItemLeft" align="right" valign="top"><a id="abd89650be2ac0d19d7e7849f447276b2"></a>
virtual unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_padding</b> (const <a class="el" href="classdlib_1_1font.html">font</a> &amp;) const</td></tr>
<tr class="separator:abd89650be2ac0d19d7e7849f447276b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21f62bb1c473bcf65024d6c849b87a46"><td class="memItemLeft" align="right" valign="top"><a id="a21f62bb1c473bcf65024d6c849b87a46"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>draw_text_box</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;display_rect, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;text_rect, const bool enabled, const <a class="el" href="classdlib_1_1font.html">font</a> &amp;mfont, const ustring &amp;text, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;cursor_rect, const <a class="el" href="structdlib_1_1rgb__pixel.html">rgb_pixel</a> &amp;text_color, const <a class="el" href="structdlib_1_1rgb__pixel.html">rgb_pixel</a> &amp;bg_color, const bool has_focus, const bool cursor_visible, const long highlight_start, const long highlight_end) const</td></tr>
<tr class="separator:a21f62bb1c473bcf65024d6c849b87a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="style_8h_source.html">style.h</a></li>
<li>style.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
